use serde::Deserialize;
use serde::Serialize;

/// This is the struct for the writer.toml config file that ends up in each site's root directory.
#[derive(Deserialize, Serialize)]
pub(crate) struct Config {
    site_title: String,
    author: Option<String>,
    email: Option<String>,
}

impl Default for Config {
    fn default() -> Self {
        Config {
            site_title: "My super awesome website".to_owned(),
            author: None,
            email: None,
        }
    }
}
